<?php
/*
======================
Saalioksjoni kõikide
esemete kuvamine
======================
*/
include "config.php";
session_start();
include_once ROOT.'db/dbconfig.php';
require_once ROOT.'admin/objects/kasutaja.class.php';
$user_home = new Kasutaja();
include ROOT."header.php";
?>

<div class="container">
    <div class="col-md-10 col-md-offset-1">  
        <?php

        $kataloogi_id = isset($_GET['id']) ? $_GET['id'] : 0;

        if($kataloogi_id != ''){

            include_once ROOT . 'admin/objects/kataloog.class.php';

            $database = new Database();
            $db = $database->dbConnection();

            $kataloog = new Kataloog($db);
            $kataloog->id=$kataloogi_id;

            // Loeme kataloogi nime
            $kataloog->readInfo();

            echo '<h3 class="decorated"><span>' . $kataloog->nimi . '</span></h3><br />';

        } else {

            echo 'Ilmnes viga. Palun proovi uuesti!';
        }
        ?>
        <?php

        echo '<div class="row">';

        // Kuvame kõik kataloogi esemed
        include("kuva_esemed.php");

        echo '</div><center>';
        echo'</center>';
        echo'</div></div>
    </div>
</div>';
include ROOT . "footer.php";
